Bug 203723 - syslog: kernel BUG at mm/page_alloc.c:830!
syslog: kernel BUG at mm/page_alloc.c:830!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 09:56 EDT by Jon Orris
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2006-08-23 09:56:47 EDT
Description of problem:
Syslogd dumping kernel BUG message to console. No idea what I was doing when
this happened.

# uname -a
Linux localhost.localdomain 2.6.17-1.2174_FC5 #1 Tue Aug 8 15:30:55 EDT 2006
i686 athlon i386 GNU/Linux



Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: ------------[ cut here ]------------

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: kernel BUG at mm/page_alloc.c:830!

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: invalid opcode: 0000 [#1]

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: CPU:    0

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: EIP is at get_page_from_freelist+0x272/0x3d7

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: eax: 00000001   ebx: c1090018   ecx: 00004800   edx: 00001000

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: esi: c1090000   edi: c06bf6e8   ebp: d2bc2550   esp: c7383e80

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: ds: 007b   es: 007b   ss: 0068

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: Process beagle-build-in (pid: 3551, threadinfo=c7383000
task=d2bc2550)

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: Stack: 00000002 00000044 c4ff0610 c4fff000 00000002 00000000
000280d2 c06bf998

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel:        c06bf6e8 c06bf708 00000000 00200202 00000001 00000000
00000001 00000000

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel:        00000000 c06bf998 000280d2 c06bf998 d2bc2550 c04441a4
00000044 c96e2560

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: Call Trace:

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel:  <c04441a4> __alloc_pages+0x6d/0x29c  <c044aeef>
__handle_mm_fault+0x11c/0x7ed

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel:  <c0603938> do_page_fault+0x22d/0x5ad  <c060370b>
do_page_fault+0x0/0x5ad

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel:  <c04037df> error_code+0x4f/0x54

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: Code: 39 c7 0f 95 c1 8d 0c 8d 30 00 00 00 8b 54 24 30 89 c8 e8
37 eb ff ff ff 74 24 2c 9d 8b 44 24 20 89 f2 e8 0e ea ff ff 85 c0 74 08 <0f> 0b
3e 03 8d 39 62 c0 8b 56 08 89 f1 8b 06 8b 5e 10 f6 c4 40

Message from syslogd@localhost at Wed Aug 23 09:45:28 2006 ...
localhost kernel: EIP: [<c0443fd2>] get_page_from_freelist+0x272/0x3d7 SS:ESP
0068:c7383e80
Comment 1 David Lawrence 2006-09-05 12:01:10 EDT
Changing to proper owner, kernel-maint.
Comment 2 Dave Jones 2006-10-16 15:52:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:41:56 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.